#include "EyeLightShader.hxx"

EyeLightShader::EyeLightShader(Scene* scene,
			       const Vec3f& color)
  : Shader(scene),
    m_color(color)
{
}

EyeLightShader::~EyeLightShader()
{
}

EyeLightShader::EyeLightShader()
  : Shader(0),
    m_color(Vec3f())
{
}

Vec3f
EyeLightShader::Shade(Ray& ray)
{
  return Vec3f();
}
