#include "ReflectiveEyeLightShader.hxx"

ReflectiveEyeLightShader::ReflectiveEyeLightShader(Scene* scene,
						   float reflectivity,
						   const Vec3f& color)
  : EyeLightShader(scene,color),
    m_reflectivity(reflectivity)
{
}

ReflectiveEyeLightShader::~ReflectiveEyeLightShader()
{
}

ReflectiveEyeLightShader::ReflectiveEyeLightShader()
  : EyeLightShader(0),
    m_reflectivity(0)
{
}

Vec3f
ReflectiveEyeLightShader::Shade(Ray& ray)
{
  return Vec3f();
}
