#ifndef FLATSHADER_HXX
#define FLATSHADER_HXX

#include "Shader.hxx"

class FlatShader : public Shader
{
public:
  FlatShader(Scene* scene, const Vec3f& color = Vec3f(0.5,0.5,0.5));
  virtual ~FlatShader();

  virtual Vec3f Shade(Ray& ray);

private:
  FlatShader();
  
  Vec3f m_color;
};
#endif
